<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    
    <div id="app">
        <alert-box>hello ?</alert-box>
        <alert-box><p>hello ?</p></alert-box>
        <navigation-link url="/page-1"></navigation-link>
        <navigation-link url="/page-1">click here pour aller en page 1</navigation-link>
        <navigation-link url="/page-1">
            <img src="https://vuejs.org/images/logo.png">
        </navigation-link>
        <navigation-link url="/page-1">
            <alert-box><p>hello ?</p></alert-box>
        </navigation-link>
        <master-detail>
            <template v-slot:master>dans le master...</template>
            <template v-slot:detail>dans le detail...</template>
        </master-detail>

        template: `
            <div class="master-detail">
                <div class="master-detail__master">
                        dans le master...
                </div>
                <div class="master-detail__detail">
                        dans le detail...
                </div>
            </div>
        `
    </div>

    <script src="https://unpkg.com/vue@2.6.10/dist/vue.js"></script>
    <script>
    Vue.component('alert-box', {
        template:`
        <div>
            <strong>Error</strong>
            <slot></slot>
        </div>`
    });

    Vue.component('navigation-link', {
        props: ['url'], 
        template:`
        <a :href="url">
            <slot>default text</slot>
        </a>`
    });

    Vue.component('master-detail', {
        template: `
            <div class="master-detail">
                <div class="master-detail__master">
                    <slot name="master"></slot>
                </div>
                <div class="master-detail__detail">
                    <slot name="detail"></slot>
                </div>
            </div>
        `
    })



    const app = new Vue({
        el:'#app',
        data: {
           
        },
    });
    </script>
</body>
</html>